Subject: bug#15103: closed (Re: bug#20123: 24.4.91; Unwarranted "Unused lexical argument" for condition-case)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Mar 2015 20:23:04 +0000

Your bug report

#20123: Spurious "unused lexical argument" warning from condition-case

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20123: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20123
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20123: 24.4.91; Unwarranted "Unused lexical argument" for condition-case
From: Stefan Monnier <[email-masked]>
To: Oleh Krehel <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Mar 2015 16:22:12 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 25.1

> I can confirm that this is fixed in 25.1, thanks. Sorry for the noise.

Thanks,

        Stefan

Subject: 24.3.50; Wrong byte compiler warning
From: Michael Albinus <[email-masked]>
To: [email-masked]
Date: Thu, 15 Aug 2013 13:49:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I have a file test.el:

(condition-case err
    (ignore)
  (file-error (ignore))
  (error (message "%s" (error-message-string err))))

When I compile it with --eval '(setq byte-compile-force-lexical-warnings t)'
I get the byte compiler warning

In toplevel form:
test.el:1:1:Warning: Unused lexical argument `err'
Wrote /home/albinus/tmp/test.elc

Note, that this warning does not appear when the first condition-case
handler does not exist.

Best regards, Michael.